/****************License************************************************
 *
 * Copyright 2000-2001.  SpeechWorks International, Inc.    
 *
 * Use of this software is subject to notices and obligations set forth
 * in the SpeechWorks Public License - Software Version 1.1 which is
 * included with this software.
 *
 * SpeechWorks is a registered trademark, and SpeechWorks Here,
 * DialogModules and the SpeechWorks logo are trademarks of SpeechWorks
 * International, Inc. in the United States and other countries.
 * 
 ***********************************************************************
 *
 * This is the VXML 1.0 dtd.
 *
 ***********************************************************************/

const unsigned int DUMMY_VXML_DOC_SIZE = 137;
const VXIbyte DUMMY_VXML_DOC[DUMMY_VXML_DOC_SIZE] =
"<?xml version=\"1.0\" ?>\n"
"<!DOCTYPE vxml PUBLIC \"SpeechBrowser/2.0/DTD\" \"ignore\" >\n"
"<vxml version=\"2.0\">\n"
"<meta content=\"ignored\"/>\n"
"</vxml>\n\0";

const unsigned int VXML_DTD_SIZE = 11053; 
const VXIbyte VXML_DTD[VXML_DTD_SIZE] =
"<!-- A DTD for Voice Extensible Markup Language -->\n"
"<!-- Copyright (c) 2001 SpeechWorks International -->\n"
"<!-- This is a modified version of the DTD for Voice Extensible Markup\n"
"     Language, the original version of which  is copyright (c) 2000\n"
"     VoiceXML Forum (AT&T, IBM, Lucent Technologies, Motorola) and\n"
"     available at http://www.voicexml.org/spec.html. -->\n"
"\n"
"<!ENTITY % audio	'#PCDATA | audio | enumerate | value' >\n"
"\n"
"<!ENTITY % bargeintype	'(energy | speech | recognition)' >\n"
"\n"
"<!ENTITY % boolean 	'(true|false)' >\n"
"\n"
"<!ENTITY % content.type 'CDATA'>\n"
"\n"
"<!ENTITY % duration	'CDATA' >\n"
"\n"
"<!ENTITY % event.handler 'catch | help | noinput | nomatch | error' >\n"
"\n"
"<!ENTITY % event.name	'NMTOKEN' >\n"
"\n"
"<!ENTITY % event.names	'CDATA' >\n"
"\n"
"<!ENTITY % executable.content\n"
"	'%audio; | assign | clear | disconnect | exit | goto | if | log |\n"
"	prompt | reprompt | return | script | submit | throw | var' >\n"
"\n"
"<!ENTITY % expression	'CDATA' >\n"
"\n"
"<!ENTITY % field.name	'NMTOKEN' >\n"
"\n"
"<!ENTITY % field.names	'CDATA' >\n"  // Not NMTOKENS to allow shadow variables
"\n"
"<!ENTITY % integer	'CDATA' >\n"
"\n"
"<!ENTITY % item.attrs\n"
"	'name		%field.name;	#IMPLIED\n"
"	cond		%expression;	#IMPLIED\n"
"	expr		%expression;	#IMPLIED ' >\n"
"\n"
"<!ENTITY % uri 'CDATA' >\n"
"\n"
"<!ENTITY % cache.attrs\n"
"	'caching	(safe|fast)	#IMPLIED\n"   // Dropped after 1.0
"	fetchhint	(prefetch|safe|stream)	#IMPLIED\n"
"	fetchtimeout	%duration;	#IMPLIED\n"
"	maxage		%integer;	#IMPLIED\n"
"	maxstale	%integer;	#IMPLIED ' >\n"
"\n"
"<!ENTITY % next.attrs\n"
"	'next		%uri;		#IMPLIED\n"
"	expr		%expression;	#IMPLIED ' >\n"
"\n"
"<!ENTITY % submit.attrs\n"
"	\"method	(get|post)	'get'\n"
"	enctype		%content.type;	'application/x-www-form-urlencoded'\n"
"	namelist	%field.names;	#IMPLIED\" >\n"
"\n"
"<!ENTITY % sentence-elements\n"
"	 'break | emphasis | mark | phoneme | prosody | say-as | voice' >\n"
"\n"
"<!ENTITY % old-sentence-elements 'div | emp | pros | sayas' >\n"
"\n"
"<!ENTITY % allowed-within-sentence '%audio; | %sentence-elements;' >\n"
"\n"
"<!ENTITY % structure	'paragraph | p | sentence | s' >\n"
"<!ENTITY % phoneme-string 'CDATA' >\n"
"<!ENTITY % phoneme-alphabet 'CDATA' >\n"
"\n"
"<!ENTITY % tts\n"
"	'%sentence-elements; | %structure; | %old-sentence-elements;' >\n"
"\n"
"<!ENTITY % variable 	'block | field | var' >\n"
"\n"
"<!--================================ Root ===============================-->\n"
"\n"
"<!ENTITY % version 	'(1.0 | 2.0)' >\n"
"\n"
"<!ELEMENT vxml		\n"
"	(%event.handler; | form | link | menu | meta |\n"
"	property | script | var)+ >\n"
"<!ATTLIST vxml\n"
"	application	%uri;		#IMPLIED\n"
"	base		%uri;		#IMPLIED\n"
"	lang		CDATA		#IMPLIED\n"    // dropped after 1.0
"	xml:lang	NMTOKEN		#IMPLIED\n"
"	version		%version;	#REQUIRED >\n"
"\n"
"<!ELEMENT meta		EMPTY >\n"
"<!ATTLIST meta\n"
"	name		NMTOKEN		#IMPLIED\n"
"	content		CDATA		#REQUIRED\n"
"	http-equiv	NMTOKEN		#IMPLIED >\n"
"\n"
"<!--================================ Dialogs ============================-->\n"
"\n"
"<!ENTITY % input	'dtmf | grammar' >\n"
"\n"
"<!ENTITY % scope 	'(document | dialog)' >\n"
"\n"
"<!ELEMENT form\n"
"	(%input; | %event.handler; | filled | initial | object | link | \n"
"	property | record | subdialog | transfer | %variable;)* >\n"
"<!ATTLIST form\n"
"	id		ID		#IMPLIED\n"
"	scope		%scope;		'dialog' >\n"
"\n"
"<!ENTITY % accept.attrs\n"
"	\"accept	(exact | approximate)	'exact'\" >\n"
"\n"
"<!ELEMENT menu\n"
"	(%audio; | choice | %event.handler; | prompt | property)* >\n"
"<!ATTLIST menu\n"
"	id		ID		#IMPLIED\n"
"	scope		%scope;		'dialog'\n"
"	%accept.attrs;\n"
"	dtmf		%boolean;	'false' >\n"
"\n"
//#pragma message ("DTD: Readd support for %audio & %tts to <choice>")
"<!ELEMENT choice	(#PCDATA | grammar)* >\n" // 'Official' DTD has
"<!ATTLIST choice\n"                       // (%audio; | grammar | %tts;)* >\n"
"	%cache.attrs;\n"
"	%accept.attrs;\n"
"	dtmf		CDATA		#IMPLIED\n"
"	event		%event.name;	#IMPLIED\n"
"	fetchaudio	%uri;		#IMPLIED\n"
"	%next.attrs; >\n"
"\n"
"<!--=============================== Prompts =============================-->\n"
"\n"
"<!ELEMENT prompt	(%audio; | %tts;)* >\n"
"<!ATTLIST prompt\n"
"	bargein		%boolean;	#IMPLIED\n"
"	bargeintype	%bargeintype;	#IMPLIED\n"
"	cond		%expression;	#IMPLIED\n"
"	count		%integer;	#IMPLIED\n"
"	xml:lang	NMTOKEN		#IMPLIED\n"
"	timeout		%duration;	#IMPLIED >\n"
"\n"
"<!ELEMENT enumerate	(%audio; | %tts;)*>\n"
"\n"
"<!ELEMENT reprompt	EMPTY >\n"
"\n"
"<!--=============================== Fields ==============================-->\n"
"\n"
"<!ELEMENT field\n"
"	(%audio; | %event.handler; | filled | %input; | link | option | \n"
"	prompt | property)* >\n"
"<!ATTLIST field\n"
"	%item.attrs;\n"
"	type		CDATA		#IMPLIED\n"
"	slot		NMTOKEN		#IMPLIED\n"
"	modal		%boolean;	'false' >\n"
"\n"
"<!ELEMENT option 	(#PCDATA)* >\n"
"<!ATTLIST option\n"
"	dtmf		CDATA		#IMPLIED\n"
"	value		CDATA		#IMPLIED >\n"
"\n"
"<!ELEMENT var		EMPTY >\n"
"<!ATTLIST var\n"
"	name		%field.name;	#REQUIRED\n"
"	expr		%expression;	#IMPLIED >\n"
"\n"
"<!ELEMENT initial\n"
"	(%audio; | %event.handler; | link | prompt | property)* >\n"
"<!ATTLIST initial\n"
"	%item.attrs; >\n"
"\n"
"<!ELEMENT block	(%executable.content;)* >\n"
"<!ATTLIST block\n"
"	%item.attrs; >\n"
"\n"
"<!ELEMENT assign	EMPTY >\n"
"<!ATTLIST assign\n"
"	name		%field.name;	#REQUIRED\n"
"	expr		%expression;	#REQUIRED >\n"
"\n"
"<!ELEMENT clear	EMPTY >\n"
"<!ATTLIST clear\n"
"	namelist	%field.names;	#IMPLIED >\n"
"\n"
"<!ELEMENT value	EMPTY >\n"
"<!ATTLIST value\n"
"	class		CDATA		#IMPLIED\n"   // Dropped after 1.0
"	expr		%expression;	#REQUIRED\n"
"	mode		(tts|recorded)	#IMPLIED\n"   // Dropped after 1.0
"	recsrc		%uri;		#IMPLIED >\n" // Dropped after 1.0
"\n"
"<!--================================= Events ============================-->\n"
"\n"
"<!ENTITY % event.handler.attrs\n"
"	'count		%integer;	#IMPLIED\n"
"	cond		%expression;	#IMPLIED' >\n"
"\n"
"<!ELEMENT catch	(%executable.content;)* >\n"
"<!ATTLIST catch\n"
"	event		%event.names;	#REQUIRED\n"
"	%event.handler.attrs; >\n"
"\n"
"<!ELEMENT error	(%executable.content;)* >\n"
"<!ATTLIST error\n"
"	%event.handler.attrs; >\n"
"\n"
"<!ELEMENT help		(%executable.content;)* >\n"
"<!ATTLIST help\n"
"	%event.handler.attrs; >\n"
"\n"
"<!ELEMENT link		(%input;)* >\n"
"<!ATTLIST link\n"
"	%cache.attrs;\n"
"	%next.attrs;\n"
"	fetchaudio	%uri;		#IMPLIED\n"
"	dtmf		CDATA		#IMPLIED\n"
"	event		%event.name;	#IMPLIED >\n"
"\n"
"<!ELEMENT noinput	(%executable.content;)* >\n"
"<!ATTLIST noinput\n"
"	%event.handler.attrs; >\n"
"\n"
"<!ELEMENT nomatch	(%executable.content;)* >\n"
"<!ATTLIST nomatch\n"
"	%event.handler.attrs; >\n"
"\n"
"<!ELEMENT throw	EMPTY >\n"
"<!ATTLIST throw\n"
"	event		%event.name;	#IMPLIED\n"
"	eventexpr	%expression;	#IMPLIED\n"
"	message		CDATA		#IMPLIED\n"
"	messageexpr	CDATA		#IMPLIED >\n"
"\n"
"\n"
"<!--============================= Audio Output ==========================-->\n"
"\n"
"<!ELEMENT audio	(%audio; | %tts;)* >\n"
"<!ATTLIST audio\n"
"	src		%uri;		#IMPLIED\n"
"	expr		%expression;	#IMPLIED\n"
"	%cache.attrs; >\n"
"\n"
"<!ELEMENT paragraph (%allowed-within-sentence; | sentence | s)* >\n"
"<!ATTLIST paragraph\n"
"	xml:lang	NMTOKEN		#IMPLIED >\n"
"\n"
"<!ELEMENT p (%allowed-within-sentence; | sentence | s)* >\n"
"<!ATTLIST p\n"
"	xml:lang	NMTOKEN		#IMPLIED >\n"
"\n"
"<!ELEMENT sentence (%allowed-within-sentence;)* >\n"
"<!ATTLIST sentence\n"
"	xml:lang	NMTOKEN		#IMPLIED >\n"
"\n"
"<!ELEMENT s (%allowed-within-sentence;)* >\n"
"<!ATTLIST s\n"
"	xml:lang	NMTOKEN		#IMPLIED >\n"
"\n"
"<!ENTITY % voice-name  'CDATA' >\n"
"\n"
"<!ELEMENT voice (%allowed-within-sentence; | %structure;)* >\n"
"<!ATTLIST voice\n"
"	gender	(male|female|neutral)	#IMPLIED\n"
"	age		%integer;	#IMPLIED\n"
"	category	(child|teenager|adult|elder) #IMPLIED\n"
"	variant		%integer;	#IMPLIED\n"
"	name		%voice-name;	#IMPLIED >\n"
"\n"
"<!ELEMENT prosody (%allowed-within-sentence; | %structure;)* >\n"
"<!ATTLIST prosody\n"
"	pitch		CDATA		#IMPLIED\n"
"	contour		CDATA		#IMPLIED\n"
"	range		CDATA		#IMPLIED\n"
"	rate		CDATA		#IMPLIED\n"
"	duration	%duration;	#IMPLIED\n"
"	volume		CDATA		#IMPLIED\n >\n"
"\n"
"<!ELEMENT emphasis (%allowed-within-sentence;)* >\n"
"<!ATTLIST emphasis\n"
"	level		(strong|moderate|none|reduced) 'moderate' >\n"
"\n"
"<!ELEMENT say-as (#PCDATA | value)* >\n"
"<!ATTLIST say-as\n"
"	type		CDATA		#REQUIRED\n"
"	sub		CDATA		#IMPLIED >\n"
"\n"
"<!ELEMENT phoneme (#PCDATA) >\n"
"<!ATTLIST phoneme\n"
"	ph		%phoneme-string; #REQUIRED\n"
"	alphabet	%phoneme-alphabet; #IMPLIED >\n"
"\n"
"<!ELEMENT break	EMPTY >\n"
"<!ATTLIST break\n"
"	size		(none|small|medium|large) 'medium'\n"
"	msecs		%integer;	#IMPLIED\n"    // Dropped after 1.0
"	time		%duration;	#IMPLIED >\n"
"\n"
"<!ELEMENT mark		EMPTY >\n"
"<!ATTLIST mark\n"
"	name		CDATA		#REQUIRED >\n"
"\n"
"<!--========================= VXML 1.0 Audio Output =====================-->\n"
"\n"
"<!ELEMENT div		(%audio; | %tts;)* >\n"
"<!ATTLIST div\n"
"	type		CDATA	#IMPLIED>\n"
"\n"
"<!ELEMENT emp		(%audio; | %tts;)* >\n"
"<!ATTLIST emp\n"
"	level		(strong|moderate|none|reduced) 'moderate' >\n"
"\n"
"<!ELEMENT pros		(%audio; | %tts;)* >\n"
"<!ATTLIST pros\n"
"	rate		CDATA		#IMPLIED\n"
"	vol		CDATA		#IMPLIED\n"
"	pitch		CDATA		#IMPLIED\n"
"	range		CDATA		#IMPLIED >\n"
"\n"
"<!ELEMENT sayas	(#PCDATA)* >\n"
"<!ATTLIST sayas\n"
"	sub		CDATA		#IMPLIED\n"
"	class		CDATA		#IMPLIED\n"
"	phon		CDATA		#IMPLIED >\n"
"\n"
"<!--============================ Audio Input ============================-->\n"
"\n"
"<!ENTITY % key 	\"CDATA\" >\n"
"\n"
"<!ENTITY % grammar.attrs\n"
"	\"%cache.attrs;\n"
"	scope		%scope;		#IMPLIED\n"
"	src		%uri;		#IMPLIED\n"
"	type		CDATA		#IMPLIED\n"
"	xml:lang	CDATA		#IMPLIED\" >\n"
"\n"
"<!ELEMENT dtmf		(#PCDATA)* >\n"
"<!ATTLIST dtmf\n"
"	%grammar.attrs; >\n"
"\n"
"<!ELEMENT grammar	(#PCDATA)* >\n"
"<!ATTLIST grammar\n"
"	%grammar.attrs; >\n"
"\n"
"<!ELEMENT record	\n"
"	(%audio; | %event.handler; | filled | grammar | prompt | property)* >	\n"
"<!ATTLIST record\n"
"	%item.attrs;\n"
"	type		CDATA		#IMPLIED\n"
"	beep		%boolean;	'false'\n"
"	maxtime		%duration;	#IMPLIED\n"
"	modal		%boolean;	'true'\n"
"	finalsilence	%duration;	#IMPLIED\n"
"	dtmfterm	%boolean;	'true'  >\n"
"\n"
"<!--=========================== Call Control ===========================-->\n"
"\n"
"<!ELEMENT disconnect	EMPTY >\n"
"\n"
"<!ELEMENT transfer	\n"
"	(%audio; | %event.handler; | dtmf | filled | grammar | prompt | property)* >\n"
"<!ATTLIST transfer\n"
"	%item.attrs;\n"
"	dest		%uri;		#IMPLIED\n"
"	destexpr	%expression;	#IMPLIED\n"
"	bridge		%boolean;	'false'\n"
"	connecttimeout	%duration;	#IMPLIED\n"
"	maxtime		%duration;	#IMPLIED \n"
" transferaudio %uri;  #IMPLIED\n"
" transferaudioexpr %expression; #IMPLIED>\n"
"\n"
"<!--=========================== Control Flow ===========================-->\n"
"\n"
"<!ENTITY % if.attrs\n"
"	\"cond		%expression;	#REQUIRED\" >\n"
"\n"
"<!ELEMENT if 		(%executable.content; | elseif | else)* >\n"
"<!ATTLIST if\n"
"	%if.attrs; >\n"
"\n"
"<!ELEMENT elseif	EMPTY >\n"
"<!ATTLIST elseif\n"
"	%if.attrs; >\n"
"\n"
"<!ELEMENT else 	EMPTY >\n"
"\n"
"<!ELEMENT exit		EMPTY >\n"
"<!ATTLIST exit\n"
"	expr		%expression;	#IMPLIED\n"
"	namelist	%field.names;	#IMPLIED >\n"
"\n"
"<!ELEMENT filled 	(%executable.content;)* >\n"
"<!ATTLIST filled\n"
"	mode		(any|all)	#IMPLIED\n"   // Note: mode defaults to
"	namelist	%field.names;	#IMPLIED >\n" // all at form level.
"\n"
"<!ELEMENT goto		EMPTY >\n"
"<!ATTLIST goto\n"
"	%cache.attrs;\n"
"	%next.attrs;\n"
"	fetchaudio	%uri;		#IMPLIED\n"
"	expritem	%expression;	#IMPLIED\n"
"	nextitem	%field.name;	#IMPLIED >\n"
"\n"
"<!ELEMENT param	EMPTY >\n"
"<!ATTLIST param\n"
"	name		NMTOKEN		#REQUIRED\n"
"	expr		%expression;	#IMPLIED\n"
"	value		CDATA		#IMPLIED\n"
"	valuetype	(data|ref)	'data'\n"
"	type		CDATA		#IMPLIED >\n"
"\n"
"<!ELEMENT return	EMPTY >\n"
"<!ATTLIST return\n"
"	namelist	%field.names;	#IMPLIED\n"
"	event		%event.name;	#IMPLIED >\n"
"\n"
"<!ELEMENT subdialog	\n"
"	(%audio; | %event.handler; | filled | param | prompt | property)* >\n"
"<!ATTLIST subdialog\n"
"	%item.attrs;\n"
"	src		%uri;		#IMPLIED\n"
"	srcexpr		%expression;	#IMPLIED\n"
"	modal		%boolean;	#IMPLIED\n"
"	%cache.attrs;\n"
"	fetchaudio	%uri;		#IMPLIED\n"
"	%submit.attrs; >\n"
"\n"
"<!ELEMENT submit	EMPTY >\n"
"<!ATTLIST submit\n"
"	%cache.attrs;\n"
"	%next.attrs;\n"
"	fetchaudio	%uri;		#IMPLIED\n"
"	%submit.attrs; >\n"
"\n"
"<!--========================= Miscellaneous =============================-->\n"
"\n"
"<!ELEMENT log		(#PCDATA | value)* >\n"
"<!ATTLIST log\n"
"	label		CDATA		#IMPLIED\n"
"	expr		%expression;	#IMPLIED >\n"
"\n"
"<!ELEMENT object	\n"
"	(%audio; | %event.handler; | filled | param | prompt | property)* >\n"
"<!ATTLIST object\n"
"	%item.attrs;\n"
"	%cache.attrs;\n"
"	classid		%uri;		#IMPLIED\n"
"	codebase	%uri;		#IMPLIED\n"
"	data		%uri;		#IMPLIED\n"
"	type		CDATA		#IMPLIED\n"
"	codetype	CDATA		#IMPLIED\n"
"	archive		%uri;		#IMPLIED >\n"
"\n"
"<!ELEMENT property	EMPTY >\n"
"<!ATTLIST property\n"
"	name		NMTOKEN		#REQUIRED\n"
"	value		CDATA		#REQUIRED >\n"
"\n"
"<!ELEMENT script	(#PCDATA)* >\n"
"<!ATTLIST script\n"
"	src		%uri;		#IMPLIED\n"
"	charset		CDATA		'UTF-8'\n"
"	%cache.attrs; > ";
